﻿using System.Windows;
using System.Windows.Documents;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            Paragraph paragraph = new Paragraph(new Run("Neptune has 72 times Earth's volume..."));

            TextPointer textPointer1 = paragraph.ContentStart.GetPositionAtOffset(10);
            TextPointer textPointer2 = paragraph.ContentEnd.GetPositionAtOffset(-5);

            Span span = new Span(textPointer1, textPointer2);

            span.Background = Brushes.Red;

            FlowDocument flowDocument = new FlowDocument(paragraph);

            this.flowDocumentReader.Document = flowDocument;
        }

        #endregion
    }
}